Name:		gsp-release

Version:	8
Release:	2%{?dist}

Summary:	Yum configuration for Global SP repository
Summary(fr):	Configuration de Yum pour le dépôt de Global SP

Group:		System Environment/Base
License:	GPLv2
URL:		http://www.globalsp.com
Source0:	RPM-GPG-KEY-TeamLinuxGSP
Source1:	gsp.repo
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArchitectures: noarch

Requires:	yum
Requires:	redhat-release >= %{rhel}

%description
This package contains yum configuration for the Global SP RPM Repository as
well as the public GPG keys used to sign them.

%description -l fr
Ce paquet contient la configuration de yum pour utiliser le dépôt de GSP,
ainsi que la clef GPG utilisé pour signer les RPMS se trouvant dans
le dépôt.


%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf %{buildroot}

# PGP
%{__install} -Dp -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-TeamLinuxGSP

# YUM
%{__install} -Dp -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.repos.d/gsp.repo

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/yum.repos.d/gsp.repo
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-TeamLinuxGSP

%changelog
* Mon Jan 10 2022 Christophe GRENIER <cgrenier@globalsp.com> 8-2.el8
- Remove failovermethod from repo

* Mon Nov 03 2013 Kevin COUSIN <kcousin@globalsp.com> 7-2.el7
- Add gsp-testing (disabled)

* Mon Nov 03 2013 Kevin COUSIN <kcousin@globalsp.com> 6-6.el6
- Add gsp-testing (disabled)

* Fri Jan 17 2013 Kevin COUSIN <kcousin@globalsp.com> 7-1.el7
- Rebuild for CentOS Release 7

* Fri Jan 17 2013 Kevin COUSIN <kcousin@globalsp.com> 6-5.el6
- Remove epel dependency

* Thu May 24 2012 Kevin COUSIN <kcousin@globalsp.com> 6-4.el6.gsp
- Correct "el5" package name

* Fri Jan  6 2012 Christophe GRENIER <cgrenier@globalsp.com> 6-3.el6.centos
- Add Global SP Linux Team public key

* Wed Dec 21 2011 Kevin COUSIN <kcousin@globalsp.com> 6-2.el6.gsp
- Add Global SP Linux Team public key

* Wed Dec 21 2011 Kevin COUSIN <kcousin@globalsp.com> 6-1.el6.gsp
- First Build
